/*
 * Modification History
 *
 * 2004-January-1    Jason Rohrer
 * Created.
 */



#ifndef SIMPLE_WEB_HOST_CACHE_INCLUDED
#define SIMPLE_WEB_HOST_CACHE_INCLUDED


/**
 * A simple implementation of a GWebCache client.
 *
 * @author Jason Rohrer.
 */
class SimpleWebHostCache {


        
    public:



        /**
         * Gets seed nodes from the web caches.
         *
         * @param outNodeAddresses pointer to where an array of node addresses,
         *   as \0-terminated strings, should be returned.
         *   The returned array and the addresses must be destroyed by
         *   caller if there is no error
         * @param outNodePorts pointer to where an array of node ports,
         *   should be returned.
         *   The returned array must be destroyed by caller if there
         *   is no error.
         *
         * @return the number of seed nodes being returned, or -1 if there
         *   was an error in getting seed nodes.
         */
        static int getSeedNodes( char ***outNodeAddresses,
                                 int **outNodePorts );



        /**
         * Posts our local address to the web caches.
         *
         * Should only be called if this node is not behind a firewall that
         * blocks inbound connections on inLocalPort.
         *
         * @param inLocalAddress the address of the local node.
         *   Must be destroyed by caller.
         * @param inLocalPort the port of the local node.
         */
        static void postLocalAddress( char *inLocalAddress, int inLocalPort );


        
    };



#endif
