/*
 * Modification History
 *
 * 2003-November-6   Jason Rohrer
 * Created.
 */



#include "formatUtils.h"

#include "minorGems/util/stringUtils.h"



char *formatDataSizeWithUnits( unsigned long inSizeInBytes ) {
    char *sizeString;
    
    if( inSizeInBytes >= 1048576 ) {
        // MiB range
        float sizeMiB = inSizeInBytes / 1048576.0;

        sizeString = autoSprintf( "%.2f MiB", sizeMiB ); 
        }
    else if( inSizeInBytes >= 1024 ) {
        // KiB range
        float sizeKiB = inSizeInBytes / 1024.0;

        sizeString = autoSprintf( "%.2f KiB", sizeKiB ); 
        }
    else {
        // Bytes
        sizeString = autoSprintf( "%lu B", inSizeInBytes );
        }
    
    return sizeString;
    }
